## sfepy 2015.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=.. sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SfePy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SfePy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sfepy (2015.1-2build1) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 14:15:16 +0200

sfepy (2015.1-2) unstable; urgency=medium

  * [56e9cb8] Fix authors-typo in doc-base.
  * [94b4e29] Update d/copyright.
  * [26c4fc5] Fix home-dir for doc-build. (Closes: #793348)

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Aug 2015 00:24:46 +0200

sfepy (2015.1-1) unstable; urgency=medium

  * Initial release. (Closes: #588340)

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Mar 2015 22:09:02 +0100

=== debian/control ===
Source: sfepy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython,
               debhelper (>= 9),
               dh-python,
               ipython,
               libadmesh-dev,
               libjs-jquery,
               libsuitesparse-dev,
               mayavi2,
               python-all,
               python-dev,
               python-matplotlib,
               python-numpy,
               python-numpydoc,
               python-pyparsing,
               python-scipy,
               python-setuptools,
               python-sparse,
               python-sphinx (>= 1.0.7+dfsg),
               python-sympy,
               python-tables,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-sfepy.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-sfepy.git
Homepage: http://sfepy.org
X-Python-Version: >= 2.7

Package: python-sfepy
Architecture: any
Depends: ipython,
         libsuitesparse-dev,
         mayavi2,
         python-matplotlib,
         python-pyparsing,
         python-scipy,
         python-sparse,
         python-tables,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Simple Finite Elements in Python
 SfePy is a software for solving systems of coupled partial differential
 equations (PDEs) by the finite element method in 1D, 2D and 3D.
 It can be viewed both as black-box PDE solver, and as a Python package
 which can be used for building custom applications. The word “simple”
 means that complex FEM problems can be coded very easily and rapidly.

Package: python-sfepy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python-sfepy
Description: Simple Finite Elements in Python. Docs
 SfePy is a software for solving systems of coupled partial differential
 equations (PDEs) by the finite element method in 1D, 2D and 3D.
 It can be viewed both as black-box PDE solver, and as a Python package
 which can be used for building custom applications. The word “simple”
 means that complex FEM problems can be coded very easily and rapidly.
 .
 The package contains documentation and exapmles.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONPATH := $(CURDIR):$(CURDIR)/script:$(CURDIR)/doc:$(PYTHONPATH);
export HOME := $(CURDIR)/debian/HOME

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p $(HOME)/.sfepy
	dh_auto_install
	dh_numpy
	$(MAKE) all
	$(MAKE) htmldocs
	$(MAKE) pdfdocs
	cd doc/_build/latex; pdflatex SfePy.tex; pdflatex SfePy.tex

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc
	rm -rf $(CURDIR)/debian/python-sfepy/usr/lib/python2.7/dist-packages/sfepy/LICENSE
	rm -rf $(CURDIR)/debian/python-sfepy-doc/usr/share/doc/python-sfepy-doc/html/_sources/license.txt

## sfepy 2016.1

=== debian/changelog ===
sfepy (2016.1-2) unstable; urgency=medium

  * [2649ad0] Rename extractor to extractor_sfepy. (Closes: #822435)
  * [3667f7f] Add autopkgtest.
  * [96d5449] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Tue, 03 May 2016 21:59:05 +0200

sfepy (2016.1-1) unstable; urgency=medium

  * [54a2bd3] Imported Upstream version 2016.1
  * [120652d] Apply cme fix dpkg. (Closes: #801183)

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Apr 2016 00:04:14 +0200

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: python-sfepy

## sfepy 2016.2

=== Makefile ===

all:
	python setup.py build_ext --inplace
clean:
	python setup.py clean
htmldocs:
	python setup.py htmldocs
pdfdocs:
	python setup.py pdfdocs
doxygendocs:
	python setup.py doxygendocs

=== debian/changelog ===
sfepy (2016.2-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * [45a07e6] Fix latex_preamble FTBFS. (Closes: #878369)

  [ Anton Gladky ]
  * [3edf0bb] Set compat level 10.

 -- Anton Gladky <gladk@debian.org>  Mon, 16 Oct 2017 23:22:00 +0200

sfepy (2016.2-3) unstable; urgency=medium

  * [41e9fbb] Add build-dep on latexmk. (Closes: #872248)
  * [d4f2474] Set Standards-Version to 4.1.1

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Oct 2017 18:15:47 +0200

sfepy (2016.2-2) unstable; urgency=medium

  * [e716159] Add texlive-generic-extra to Build-Depends. (Closes: #829430)
  * [6d9d87f] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jul 2016 23:26:08 +0200

sfepy (2016.2-1) unstable; urgency=medium

  * [6d07336] Imported Upstream version 2016.2
  * [a7409bc] Remove patch, applied by upstream.
  * [62173f2] Install manpage.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 May 2016 08:04:44 +0200

sfepy (2016.1-3) unstable; urgency=medium

  * [b5d1941] Add allow-stderr to autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 May 2016 21:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
                ipython,
+               latexmk,
                libadmesh-dev,
                libjs-jquery,
                libsuitesparse-dev,
@@ -21,15 +22,16 @@
                python-scipy,
                python-setuptools,
                python-sparse,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx,
                python-sympy,
                python-tables,
                texlive-fonts-recommended,
+               texlive-generic-extra,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-sfepy.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-sfepy.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-sfepy.git
 Homepage: http://sfepy.org
 X-Python-Version: >= 2.7

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: python-sfepy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/sfepy/sfepy/tags .*/release_(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## sfepy 2018.1

=== debian/changelog ===
sfepy (2018.1-4) unstable; urgency=medium

  * Team upload.
  * [832036f] Add missing xauth-depends for the autopkgtests

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Jun 2018 18:49:05 +0200

sfepy (2018.1-3) unstable; urgency=medium

  * Team upload.
  [ Anton Gladky ]
  * [fda2233] Fix DebCI, add xvfb. (Closes: #900462)

  [ Chris Lamb ]
  * [d7c3a6c] Make the documentation reproducible. (Closes: #882639)

 -- Anton Gladky <gladk@debian.org>  Thu, 31 May 2018 21:05:39 +0200

sfepy (2018.1-2) unstable; urgency=medium

  * Team upload.
  * [679eaea] Update autopkgtests
  * [b0dfa19] Set compat level 11
  * [09e902e] Remove deprecated Teststuite field in d/control
  * [52e455d] Remove myself from uploaders
  * [e32a8b1] Update doc-base file

 -- Anton Gladky <gladk@debian.org>  Wed, 30 May 2018 22:19:50 +0200

sfepy (2018.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #896616
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 20 May 2018 07:20:51 +0200

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: python-sfepy, xauth, xvfb
Restrictions: allow-stderr

## sfepy 2019.4

=== debian/changelog ===
sfepy (2019.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version:
    - Fixes FTBFS (Closes: #917675).
  * Change interpreter support:
    - Add Python 3 module package.
    - Drop Python 2 module package (Closes: #938471).
    - Update tests to use Python 3.
  * Update build-dependencies to use texlive-plain-generic (Closes: #933587).
  * Use upstream copies of examples in the autopkgtests.
  * Add Rules-Requires-Root: no.
  * Switch to debhelper-compat (= 12).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Minor fixes to short descriptions.
  * Update copyright file.

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Jan 2020 18:29:27 +1100

=== debian/control ===
Source: sfepy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               ipython3,
               latexmk,
               libadmesh-dev,
               libjs-jquery,
               libsuitesparse-dev,
               mayavi2,
               python3-all,
               python3-all-dev,
               python3-matplotlib,
               python3-numpy,
               python3-numpydoc,
               python3-pyparsing,
               python3-scipy,
               python3-setuptools,
               python3-sparse,
               python3-sphinx,
               python3-sympy,
               python3-tables,
               texlive-fonts-recommended,
               texlive-plain-generic,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/sfepy
Vcs-Git: https://salsa.debian.org/science-team/sfepy.git
Homepage: http://sfepy.org
Rules-Requires-Root: no

Package: python3-sfepy
Architecture: any
Depends: ipython3,
         libsuitesparse-dev,
         mayavi2,
         python3-matplotlib,
         python3-pyparsing,
         python3-scipy,
         python3-sparse,
         python3-tables,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Simple Finite Elements in Python
 SfePy is a software for solving systems of coupled partial differential
 equations (PDEs) by the finite element method in 1D, 2D and 3D.
 It can be viewed both as black-box PDE solver, and as a Python package
 which can be used for building custom applications. The word “simple”
 means that complex FEM problems can be coded very easily and rapidly.

Package: python-sfepy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-sfepy
Description: Simple Finite Elements in Python (documentation)
 SfePy is a software for solving systems of coupled partial differential
 equations (PDEs) by the finite element method in 1D, 2D and 3D.
 It can be viewed both as black-box PDE solver, and as a Python package
 which can be used for building custom applications. The word “simple”
 means that complex FEM problems can be coded very easily and rapidly.
 .
 The package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONPATH := $(CURDIR):$(CURDIR)/script:$(CURDIR)/doc:$(PYTHONPATH);
export HOME := $(CURDIR)/debian/HOME
export QT_QPA_PLATFORM := offscreen

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p $(HOME)/.sfepy
	dh_auto_install
	dh_numpy3
	$(MAKE) all
	$(MAKE) htmldocs
	$(MAKE) pdfdocs
	cd doc; $(MAKE) man
	cd doc/_build/latex; pdflatex SfePy.tex; pdflatex SfePy.tex

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc
	rm -rf $(CURDIR)/debian/python3-sfepy/usr/lib/python3*/dist-packages/sfepy/LICENSE
	rm -rf $(CURDIR)/debian/python-sfepy-doc/usr/share/doc/python-sfepy-doc/html/_sources/license.txt

## sfepy 2020.4

=== Makefile ===

PYTHON=python$(shell grep python_version site_cfg.py | cut -c 19)

all clean: site_cfg.py
site_cfg.py:
	cp site_cfg_template.py site_cfg.py
	$(info Set correct Python version in site_cfg.py before running `make`.)
	$(info ----------------------------------------------------------------)

all:
	$(PYTHON) setup.py build_ext --inplace
clean:
	$(PYTHON) setup.py clean
htmldocs:
	$(PYTHON) setup.py htmldocs
pdfdocs:
	$(PYTHON) setup.py pdfdocs
doxygendocs:
	$(PYTHON) setup.py doxygendocs

=== debian/changelog ===
sfepy (2020.4-1) unstable; urgency=medium

  * [9c85ee6] Add .gitlab-ci.yml
  * [2c67d16] New upstream version 2020.4. (Closes: #857491)
  * [9a29a8e] Refresh patches
  * [2a96efe] Add python3-meshio as BD
  * [8124d21] Add python3-sphinx-rtd-theme to BD
  * [9506039] Fix autopkgtest. (Closes: #980694)
  * [140b41d] Allow reprotest to fail

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Feb 2021 16:58:19 +0100

sfepy (2019.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare internal inline functions "static inline", fixing FTBFS on 32-bit
    archs (Closes: #972372).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 17 Oct 2020 13:02:43 -0700

sfepy (2019.4-2) unstable; urgency=medium

  * [40073a3] Trim trailing whitespace.
  * [7c36830] Use secure URI in Homepage field.
  * [cd91efe] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [c8c187e] Add myself as uploader again

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Jan 2020 20:29:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sfepy
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3,
@@ -14,6 +15,7 @@
                python3-all,
                python3-all-dev,
                python3-matplotlib,
+               python3-meshio,
                python3-numpy,
                python3-numpydoc,
                python3-pyparsing,
@@ -21,6 +23,7 @@
                python3-setuptools,
                python3-sparse,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-sympy,
                python3-tables,
                texlive-fonts-recommended,
@@ -30,7 +33,7 @@
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/sfepy
 Vcs-Git: https://salsa.debian.org/science-team/sfepy.git
-Homepage: http://sfepy.org
+Homepage: https://sfepy.org
 Rules-Requires-Root: no
 
 Package: python3-sfepy
@@ -39,9 +42,11 @@
          libsuitesparse-dev,
          mayavi2,
          python3-matplotlib,
+         python3-meshio,
          python3-pyparsing,
          python3-scipy,
          python3-sparse,
+         python3-sympy,
          python3-tables,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,3 @@
 	dh_sphinxdoc
 	rm -rf $(CURDIR)/debian/python3-sfepy/usr/lib/python3*/dist-packages/sfepy/LICENSE
 	rm -rf $(CURDIR)/debian/python-sfepy-doc/usr/share/doc/python-sfepy-doc/html/_sources/license.txt
-

## sfepy 2021.4

=== debian/changelog ===
sfepy (2021.4-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commits for Python 3.10 and
    meshio5 compatibility
  * Drop 30_fix_FTBFS.patch, no longer needed

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Apr 2022 22:17:28 +0000

sfepy (2021.4-1) unstable; urgency=medium

  * [8a98fe6] New upstream version 2021.4
  * [f6a4f8d] Fix FTBFS. (Closes: #1001484)
  * [4e3210b] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Apr 2022 22:31:57 +0200

sfepy (2020.4-2) unstable; urgency=medium

  * [df2dfe8] Add tex-gyre to B-D. (Closes: #997436)
  * [9e6b5f0] Update standards version to 4.6.0, no changes needed.
  * [80df6df] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Nov 2021 22:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sfepy
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                ipython3,
                latexmk,
@@ -29,8 +30,9 @@
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-extra,
-               texlive-latex-recommended
-Standards-Version: 4.4.1
+               texlive-latex-recommended,
+               tex-gyre
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/sfepy
 Vcs-Git: https://salsa.debian.org/science-team/sfepy.git
 Homepage: https://sfepy.org

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	cd doc/_build/latex; pdflatex SfePy.tex; pdflatex SfePy.tex
 
 override_dh_installdocs:
+	find . -type d -name "__pycache__" -exec rm -r {} +
 	dh_installdocs
 	dh_sphinxdoc
 	rm -rf $(CURDIR)/debian/python3-sfepy/usr/lib/python3*/dist-packages/sfepy/LICENSE

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/sfepy/sfepy/tags .*/release_(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## sfepy 2025.2

=== sfepy/mechanics/extmods/CMakeLists.txt ===

set(common_path ../../discrete/common/extmods)

add_cython_target(ccontres ccontres.pyx)
add_library(ccontres MODULE ${ccontres} contres.c)
python_extension_module(ccontres)
target_include_directories(ccontres PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})
target_link_libraries(ccontres sfepy_common)


install(TARGETS ccontres LIBRARY DESTINATION sfepy/mechanics/extmods)

=== debian/changelog ===
sfepy (2025.2-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:29:08 +0000

sfepy (2025.2-2) unstable; urgency=medium

  * Team upload.
  * Added patch to fix C23 syntax error. Closes: #1114374
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Sep 2025 18:53:46 +0200

sfepy (2025.2-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Fix download filename in watch file
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-skbuild
  * Use cython3-legacy
    Closes: #1056887
  * Build-Depends: ninja-build, python3-pytest

  [ Francesco Ballarin ]
  * [2e016a3] Add Francesco Ballarin to uploaders
  * [c58a62a] Add Build-Depends on python-pyvista, and suggest it for
              installation alongside python3-sfepy
  * [7dc0f45] Add debian/patches/drop_jax_from_{docs, examples}.diff:
              - cause: JAX is not packaged yet by debian
              - effect: documentation would fail to build due
                sfepy.terms.terms_jax failing to import
              - effect:
                examples/linear_elasticity/elastodynamic_identification.py would
                fail due to missing dw_*_ad terms, defined in sfepy.terms.terms_jax
  * [5763ccb] Fix debian/python-sfepy-doc.examples: examples are now in the
              sfepy/ subdirectory
  * [d622d04] Add python3-all to test control file to fix lintian warning
  * [65fe24a] Fix debian/test/build* files: examples are now in the sfepy/
              subdirectory

  [ Anton Gladky ]
  * [e1fbea7] New upstream version 2025.2
  * [4b439d3] Update patches for packaging
  * [6d22fdb] Update build dependencies
  * [4a028b4] Update manpages path in debian package
  * [b41af03] chore: Use setuptools directly for installation
  * [7f91dda] chore: Move mayavi2 from Depends to Recommends
  * [728536f] chore: Remove python3-sparse from Build-Depends/Depends
  * [e1a5f12] chore: Add python3-six as dependency
  * [945f0aa] chore: Add python3-numpy-dev to build dependencies
  * [60bce59] chore: Remove explicit numpy ABI dependency
  * [961ba45] chore: Improve debian build process
  * [98a82d6] chore: Update tests and dependencies

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Jul 2025 00:05:05 +0200

sfepy (2021.4-4) unstable; urgency=medium

  * Team upload.
  * 50_numpy-1.24.patch: add; fix test failure with numpy 1.24.
  * Update standards version to 4.6.2, no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Jan 2023 18:12:28 +0100

sfepy (2021.4-3) unstable; urgency=medium

  * [5b62353] Fix FTBFS due to the import module order. (Closes: #1021898)

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Oct 2022 23:36:32 +0200

sfepy (2021.4-2) unstable; urgency=medium

  * [f0db48d] Cherry-pick upstream commits for
              Python 3.10 and meshio5 compatibility. (Closes: #1021898)
  * [2ab37fa] Drop 30_fix_FTBFS.patch
  * [a0c8c51] Update standards version to 4.6.1, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 22:39:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,44 @@
 export QT_QPA_PLATFORM := offscreen
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
+	rm -rf .pybuild
+	rm -rf _skbuild
+	rm -rf VERSION
+	rm -rf doc/_build
+	rm -rf doc/output
+	rm -rf doc/developer_guide.rst
+	rm -rf doc/solver_table.rst
+	rm -rf doc/src/sfepy/terms/terms_jax.rst
+	rm -rf doc/term_table.rst
+	rm -rf doc/field_table.rst
+	rm -rf site_cfg.py
+	find . -type f -name "version.h" -delete
+	find . -type f -name "*.so" -delete
+	find . -type f -name "*.pdf" -delete
 
-override_dh_auto_test:
+execute_after_dh_auto_configure:
+	mkdir -p $(HOME)/.sfepy
+	# Build C extensions using scikit-build
+	python3 setup.py build_ext --inplace
 
-override_dh_auto_install:
-	mkdir -p $(HOME)/.sfepy
-	dh_auto_install
-	dh_numpy3
+execute_after_dh_auto_build:
+	# Build documentation
 	$(MAKE) all
 	$(MAKE) htmldocs
 	$(MAKE) pdfdocs
 	cd doc; $(MAKE) man
 	cd doc/_build/latex; pdflatex SfePy.tex; pdflatex SfePy.tex
+
+override_dh_auto_install:
+	python3 setup.py install --force --root=$(CURDIR)/debian/tmp --no-compile --install-layout=deb
+
+override_dh_auto_test:
+
+execute_after_dh_python3:
+	dh_numpy3
 
 override_dh_installdocs:
 	find . -type d -name "__pycache__" -exec rm -r {} +

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=auto" \
 https://github.com/sfepy/sfepy/tags (?:.*?/)?release_(\d[\d.]*)@ARCHIVE_EXT@

## sfepy 2025.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4...3.22)
project(sfepy C)

set(CMAKE_VERBOSE_MAKEFILE:BOOL ON)

find_package(PythonExtensions REQUIRED)
find_package(Cython REQUIRED)
find_package(NumPy REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if(MSVC)
    add_compile_definitions(SFEPY_PLATFORM=1 inline=__inline)
else()
   add_compile_definitions(SFEPY_PLATFORM=0 inline=inline)
endif()

# This is so widely used that we just put it in the main file.
# Other debug flags may be recognized in subdirectories.
if(DEBUG_FMF)
    add_compile_definitions(DEBUG_FMF)
endif()

add_compile_definitions(NPY_NO_DEPRECATED_API=NPY_2_0_API_VERSION)

add_subdirectory(sfepy/discrete/common/extmods)
add_subdirectory(sfepy/discrete/fem/extmods)
add_subdirectory(sfepy/discrete/iga/extmods)
add_subdirectory(sfepy/mechanics/extmods)
add_subdirectory(sfepy/terms/extmods)

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-
-PYTHON=python$(shell grep python_version site_cfg.py | cut -c 19)
+PYTHON := $(shell command -v python3 || command -v python)
 
 all clean: site_cfg.py
 site_cfg.py:

=== doc/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  qthelp    to make HTML files and a qthelp project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  man       to make Unix style manual pages"
 	@echo "  changes   to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
@@ -72,6 +73,11 @@
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
 	      "run these through (pdf)latex."
 
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The MANUAL pages are in $(BUILDDIR)/man."
+
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo

=== sfepy/terms/extmods/CMakeLists.txt ===

set(common_path ../../discrete/common/extmods)

file(GLOB terms_src "*.c")
add_library(sfepy_terms STATIC ${terms_src})
python_extension_module(sfepy_terms)
target_link_libraries(sfepy_terms sfepy_common)
target_include_directories(sfepy_terms PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})

add_cython_target(terms terms.pyx)
add_library(terms MODULE ${terms})
python_extension_module(terms)
target_include_directories(terms PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})
target_link_libraries(terms sfepy_common sfepy_terms)


install(TARGETS terms LIBRARY DESTINATION sfepy/terms/extmods)

=== sfepy/discrete/common/extmods/CMakeLists.txt ===
if(DEBUG_MESH)
    add_compile_definitions(DEBUG_MESH)
endif()

set(common_src fmfield.c geommech.c common_python.c)
add_library(sfepy_common STATIC ${common_src})
python_extension_module(sfepy_common)
target_include_directories(sfepy_common PRIVATE ${NumPy_INCLUDE_DIRS})

add_cython_target(_fmfield _fmfield.pyx)
add_library(_fmfield MODULE ${_fmfield})
python_extension_module(_fmfield)
target_include_directories(_fmfield PRIVATE ${NumPy_INCLUDE_DIRS})
target_link_libraries(_fmfield sfepy_common)

add_cython_target(cmapping cmapping.pyx)
add_library(cmapping MODULE ${cmapping})
python_extension_module(cmapping)
target_include_directories(cmapping PRIVATE ${NumPy_INCLUDE_DIRS})
target_link_libraries(cmapping sfepy_common)

add_cython_target(assemble assemble.pyx)
add_library(assemble MODULE ${assemble})
python_extension_module(assemble)
target_include_directories(assemble PRIVATE ${NumPy_INCLUDE_DIRS})

add_cython_target(cmesh cmesh.pyx)
add_library(cmesh MODULE ${cmesh} geomtrans.c mesh.c meshutils.c sort.c common_python.c)
python_extension_module(cmesh)
target_include_directories(cmesh PRIVATE ${NumPy_INCLUDE_DIRS})

add_cython_target(crefcoors crefcoors.pyx)
add_library(crefcoors MODULE ${crefcoors} refcoors.c geomtrans.c mesh.c)
python_extension_module(crefcoors)
target_include_directories(crefcoors PRIVATE ${NumPy_INCLUDE_DIRS})
target_link_libraries(crefcoors sfepy_common)

add_cython_target(_geommech _geommech.pyx)
add_library(_geommech MODULE ${_geommech})
python_extension_module(_geommech)
target_include_directories(_geommech PRIVATE ${NumPy_INCLUDE_DIRS})
target_link_libraries(_geommech sfepy_common)

install(
    TARGETS _fmfield cmapping assemble cmesh crefcoors _geommech
    LIBRARY DESTINATION sfepy/discrete/common/extmods
)

=== sfepy/discrete/fem/extmods/CMakeLists.txt ===
set(common_path ../../common/extmods)

add_cython_target(bases bases.pyx)
add_library(bases MODULE ${bases} lagrange.c)
python_extension_module(bases)
target_include_directories(bases PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})
target_link_libraries(bases sfepy_common)

add_cython_target(lobatto_bases lobatto_bases.pyx)
add_library(lobatto_bases MODULE ${lobatto_bases} lobatto.c lobatto1d.c)
python_extension_module(lobatto_bases)
target_include_directories(lobatto_bases PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})
target_link_libraries(lobatto_bases sfepy_common)


install(
    TARGETS bases lobatto_bases
    LIBRARY DESTINATION sfepy/discrete/fem/extmods
)

=== sfepy/discrete/iga/extmods/CMakeLists.txt ===
set(common_path ../../common/extmods)

add_cython_target(igac igac.pyx)
add_library(igac MODULE ${igac} nurbs.c)
python_extension_module(igac)
target_include_directories(igac PRIVATE ${NumPy_INCLUDE_DIRS} ${common_path})
target_link_libraries(igac sfepy_common)

install(
    TARGETS igac
    LIBRARY DESTINATION sfepy/discrete/iga/extmods
)

=== debian/changelog ===
sfepy (2025.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2025.3
  * Fix SyntaxWarning (Closes: #1087083)
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 13:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: sfepy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>,
+           Francesco Ballarin <francesco.ballarin@unicatt.it>
 Section: python
 Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                ipython3,
                latexmk,
                libadmesh-dev,
                libjs-jquery,
                libsuitesparse-dev,
-               mayavi2,
+               ninja-build,
                python3-all,
                python3-all-dev,
                python3-matplotlib,
                python3-meshio,
                python3-numpy,
+               python3-numpy-dev,
                python3-numpydoc,
                python3-pyparsing,
+               python3-pytest,
+               python3-pyvista,
                python3-scipy,
                python3-setuptools,
-               python3-sparse,
+               python3-six,
+               python3-skbuild,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sympy,
@@ -32,27 +36,28 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                tex-gyre
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/sfepy
 Vcs-Git: https://salsa.debian.org/science-team/sfepy.git
 Homepage: https://sfepy.org
-Rules-Requires-Root: no
 
 Package: python3-sfepy
 Architecture: any
 Depends: ipython3,
          libsuitesparse-dev,
-         mayavi2,
          python3-matplotlib,
          python3-meshio,
          python3-pyparsing,
          python3-scipy,
-         python3-sparse,
+         python3-six,
          python3-sympy,
          python3-tables,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: mayavi2,
+         python3-sparse
+Suggests: python3-pyvista
 Description: Simple Finite Elements in Python
  SfePy is a software for solving systems of coupled partial differential
  equations (PDEs) by the finite element method in 1D, 2D and 3D.
@@ -66,6 +71,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: python3-sfepy
+Multi-Arch: foreign
 Description: Simple Finite Elements in Python (documentation)
  SfePy is a software for solving systems of coupled partial differential
  equations (PDEs) by the finite element method in 1D, 2D and 3D.

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: python3-sfepy, xauth, xvfb
Restrictions: allow-stderr

## sfepy 2025.4

=== debian/changelog ===
sfepy (2025.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2025.4
  * Drop dependency on python3-six
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Refresh 1 patche, drop 2 patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Dec 2025 07:56:30 +0100

sfepy (2025.3-2) unstable; urgency=medium

  * Team upload.
  * Build extension with all supported python versions (Closes: #1120567).
  * Let pybuild do more of the build automatically.
  * Add missing dependency on python3-all in autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Dec 2025 17:50:20 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Anton Gladky <gladk@debian.org>,
            Francesco Ballarin <francesco.ballarin@unicatt.it>
 Section: python
-Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -25,7 +24,6 @@
                python3-pyvista,
                python3-scipy,
                python3-setuptools,
-               python3-six,
                python3-skbuild,
                python3-sphinx,
                python3-sphinx-rtd-theme,
@@ -36,7 +34,7 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                tex-gyre
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/sfepy
 Vcs-Git: https://salsa.debian.org/science-team/sfepy.git
 Homepage: https://sfepy.org
@@ -49,7 +47,6 @@
          python3-meshio,
          python3-pyparsing,
          python3-scipy,
-         python3-six,
          python3-sympy,
          python3-tables,
          ${misc:Depends},

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: python3-sfepy, python3-all, xauth, xvfb
Restrictions: allow-stderr
